Subject: bug#13390: tramp-adb hanging forever

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 18 Feb 2013 20:02:14 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Thierry,
>
>> Ok it worked with SSHDroid and these settings:
>>
>> (add-to-list 'tramp-connection-properties
>>      	     (list (regexp-quote "192.168.0.24") "remote-shell" "sh"))
>> (add-to-list 'tramp-remote-path 'tramp-own-remote-path)
>> (push "/system/xbin" tramp-remote-path)
>> (add-to-list 'tramp-remote-process-environment "TMPDIR=$HOME/tmp")
>>
>> I will try now back with dropbear with same settings.
>
> Great!
>
> I guess we can close now this ticket. I will still help you in finding
> your settings, here or on the tramp-devel ML.
Ok thanks ;-)

Just notice that if I create an entry (e.g zte) in ~/.ssh/config I still
have an error when using "/ssh:zte:":

(file-error \"Process has died\")

I must use the plain path "/ssh:[email-masked]#2222:"

> If you have proposals for improving the docs, just tell me.

Ok, don't know for now, just playing with it.

> I'm not so familiar with Android, I'm mainly an ordinary user.
Same for me ;-)

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997